Skip to main content
GET
/
api
/
v1
/
customer
/
checkouts
/
{checkoutId}
Get Checkout
curl --request GET \
  --url https://api.example.com/api/v1/customer/checkouts/{checkoutId}
{
  "checkoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "amount": 123,
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

checkoutId
string<uuid>
required

Checkout identifier.

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation.

Response

OK

Agrupador comercial de uma compra que pode gerar pedidos por empresa

checkoutId
string<uuid>
required

Identificador único

customerId
string<uuid>
required

Referência ao cliente comprador

code
string
required

Código legível único do checkout

amount
integer
required

Valor total do checkout em centavos

createdBy
string<uuid> | null
required

Usuário que criou o registro, quando aplicável

createdAt
string<date-time>
required

Data de criação

updatedBy
string<uuid> | null
required

Usuário que fez a última atualização, quando aplicável

updatedAt
string<date-time>
required

Data da última atualização